import { Key } from 'react';
import { ColumnProps } from '../Column';
export declare function addEvent(el?: any, event: string, handler: EventListener | EventListenerObject | null, inputOptions?: Object): void;
export declare function removeEvent(el: any, event: string, handler: Function, inputOptions?: Object): void;
export declare function findHiddenKeys(children: any, columns: any[]): string[];
export declare function getColumnKey({ dataIndex, key }: ColumnProps): Key;
export declare function getColumnFixed(fixed?: boolean | 'left' | 'right'): 'left' | 'right' | false;
